Bug 247826 - Change default Perl to 5.32
Summary: Change default Perl to 5.32
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-07 14:03 UTC by Mathieu Arnold
Modified: 2020-08-03 12:56 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
v1 (596 bytes, patch)
2020-07-07 14:03 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2020-07-07 14:03:57 UTC
Created attachment 216295 [details]
v1

Can you please do an exp-run with the attached patch?
Comment 3 commit-hook freebsd_committer 2020-07-20 14:56:34 UTC
A commit references this bug:

Author: mat
Date: Mon Jul 20 14:56:25 UTC 2020
New revision: 542642
URL: https://svnweb.freebsd.org/changeset/ports/542642

Log:
  Pod::Parser was removed from perl5 in 5.31.0.

  Add a P5_POD_PARSER variable to use in dependencies for ports that need
  it.

  PR:		247826

Changes:
  head/Mk/Uses/perl5.mk
  head/audio/mp3lint/Makefile
  head/audio/p5-xmms2/Makefile
  head/audio/xmms2/Makefile
  head/math/PDL/Makefile
  head/security/silktools/Makefile
  head/textproc/po4a/Makefile
  head/x11-toolkits/p5-Gtk2-Ex-PodViewer/Makefile
Comment 4 commit-hook freebsd_committer 2020-07-20 14:57:35 UTC
A commit references this bug:

Author: mat
Date: Mon Jul 20 14:56:29 UTC 2020
New revision: 542643
URL: https://svnweb.freebsd.org/changeset/ports/542643

Log:
  Mark BROKEN on latest Perl, it has not been updated to support it yet.

  PR:		247826

Changes:
  head/devel/p5-Regexp-Compare/Makefile
Comment 5 commit-hook freebsd_committer 2020-07-20 14:57:36 UTC
A commit references this bug:

Author: mat
Date: Mon Jul 20 14:56:32 UTC 2020
New revision: 542644
URL: https://svnweb.freebsd.org/changeset/ports/542644

Log:
  Update to 0.006022 to fix build with latest Perl.

  PR:		247826

Changes:
  head/devel/p5-Devel-Declare/Makefile
  head/devel/p5-Devel-Declare/distinfo
Comment 6 commit-hook freebsd_committer 2020-07-20 14:57:37 UTC
A commit references this bug:

Author: mat
Date: Mon Jul 20 14:56:36 UTC 2020
New revision: 542645
URL: https://svnweb.freebsd.org/changeset/ports/542645

Log:
  Update to 0.18 (Perl 5.32+)

  PR:		247826

Changes:
  head/www/p5-Apache-DB/Makefile
  head/www/p5-Apache-DB/distinfo
Comment 7 Mathieu Arnold freebsd_committer 2020-07-23 13:34:06 UTC
I fixed all the fallout, are there other problems ?
Comment 8 Antoine Brodin freebsd_committer 2020-07-27 20:00:07 UTC
(In reply to Mathieu Arnold from comment #7)
There are no other problem
Comment 9 commit-hook freebsd_committer 2020-08-03 12:56:54 UTC
A commit references this bug:

Author: mat
Date: Mon Aug  3 12:56:30 UTC 2020
New revision: 544063
URL: https://svnweb.freebsd.org/changeset/ports/544063

Log:
  Update the default Perl version to 5.32.

  PR:		247826
  Submitted by:	mat
  Exp-run by:	antoine

Changes:
  head/Mk/bsd.default-versions.mk
  head/UPDATING